package com.dgtly.wxportal.service;

import com.dgtly.wxportal.domain.OrderFile;

import java.util.List;

/**
 * 订单签收文件Service接口
 * 
 * @author qxm
 * @date 2020-10-15
 */
public interface IOrderFileService 
{
    /**
     * 查询订单签收文件
     * 
     * @param orderId 订单签收文件ID
     * @return 订单签收文件
     */
    public OrderFile selectOrderFileById(String orderId);

    /**
     * 查询订单签收文件
     *
     * @param flowId 订单签收文件ID
     * @return 订单签收文件
     */
    public OrderFile selectOrderFileByFlowId(String flowId);

    /**
     * 查询订单签收文件列表
     * 
     * @param orderFile 订单签收文件
     * @return 订单签收文件集合
     */
    public List<OrderFile> selectOrderFileList(OrderFile orderFile);

    /**
     * 新增订单签收文件
     * 
     * @param orderFile 订单签收文件
     * @return 结果
     */
    public int insertOrderFile(OrderFile orderFile);

    /**
     * 修改订单签收文件
     * 
     * @param orderFile 订单签收文件
     * @return 结果
     */
    public int updateOrderFile(OrderFile orderFile);

    /**
     * 批量删除订单签收文件
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteOrderFileByIds(String ids);

    /**
     * 删除订单签收文件信息
     * 
     * @param orderId 订单签收文件ID
     * @return 结果
     */
    public int deleteOrderFileById(String orderId);

    public int updateOrderFileByFlowId(OrderFile orderFile);

    OrderFile selectOrderFileByParam(String orderId, String deliveryNumber, String shipmentNumber,String customersCode);
}
